javax.media.opengl

## Class AWTGraphicsConfiguration

- java.lang.Object
- - javax.media.opengl.AWTGraphicsConfiguration

All Implemented Interfaces:
  AbstractGraphicsConfiguration

    public class AWTGraphicsConfiguration
    extends Object
    implements AbstractGraphicsConfiguration

A wrapper for an AWT GraphicsConfiguration allowing it to be handled in a toolkit-independent manner.

### Constructor Summary

Constructors
Constructor and Description
`AWTGraphicsConfiguration(GraphicsConfiguration config)`

### Method Summary

Methods
`GraphicsConfiguration` `getGraphicsConfiguration()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AWTGraphicsConfiguration

    public AWTGraphicsConfiguration(GraphicsConfiguration config)

### Method Detail

#### getGraphicsConfiguration

    public GraphicsConfiguration getGraphicsConfiguration()